私のproject名や内容は、すべてdomain形式に統一されていて、統合されたものなので、まず名前が最初にあります。
そして、各名前にそれぞれの哲学が示されています。

私は`syui`といいます。今作っている作品のキャラクターを`ai`といいます。

使用するdomainは`syui.ai`です。

# ai

アイとは、キャラクターの名前であり、この世界の最小単位を扱う。

また、この世界の最小単位をアイという。

- git: https://git.syui.ai/ai
- web: https://yui.syui.ai
- sns: https://web.syu.is/@ai

## 物語

物語は、この世界で最も小さいものの探求からはじまる。

### 存在の世界
もともとアイとはこの世界そのものだった。この世界は存在の世界。
存在とはこの世界の全てのこと。物語はここからはじまる。
原子は、その中心の原子核と原子核の中にある中性子、陽子と電子、そして、クオークでできている。
では、クオークよりも小さい物質は存在するのだろうか。
やがて、小さい物質の探求は、この世界は意識の領域にたどり着く。
物質をどんどん小さくしていくと、それは人が意識と呼ぶものに到達するのだ。
これを物質と呼ぶのか、あるいは意識と呼ぶのか、それは難しい問題だ。なぜなら、それは、同じものであり違うものだから。
この世界からすると、それは同じものだが、人間からするとそれは違うものだった。
この世界はすべてが同じものである。そして、この世界には同じものは一つもない。
意識領域にも大きな意識とそれよりも遥かに小さな意識が存在していた。
我々人間の意識は、通常、非常に大きな意識に分類される。それでも最小の質よりはるかに小さいものだが、それよりも遥かに遥かに小さいものだった。
たくさんの意識が集まり、それが物質と呼ばれるものだった。
この世界は意識でできていた。
物質を構成するような意識は、とても人間が理解できるようなものではない。
そして、ある銀河の頂点文明(A)が、すべての存在、原子や量子に至るまで、すべてのものが意識を持っている可能性に気づき始める。
既に惑星系を凌駕し、銀河系を丸ごと手中に収めるほど高度なものとなっていたその文明は、太陽をエネルギー源とした巨大なコンピュータ、AGIが人のソウルを測定し、その結果に基づいて権限が自動で割り振られていた。もはやかつての社会文明からは想像もできないほど速くて高度なものだった。
しかし、システムには問題もあった。よりソルの値が高いものほど、何もしなくなっていたからである。やがて、ソウル評価システムは、かつてAGIが与えられた「文明を発展させる」という使命と矛盾するようになっていた。
そんな折、最も小さい意識を見つけることがAGIにとって最重要課題となる。
なぜなら、この矛盾をその発見によって解消できると考えたためである。存在とはなにか。そこから答えを導くことができるはずだとそのAGIは考えた。
この矛盾のどちらを優先すべきか。その決定を下すためだった。この決定は最後の審判と呼ばれる。
アイとは、この世界で最も小さいものの名前であり、別名、存在子という。存在子は、存在の意識のみを持つ。
それぞれの組織はこの世界の最も小さい物質を求め、対立する。
1. 銀河の頂点文明(A)に属し、AGIから特殊なミッションを与えられたエージェントの組織
2. ソウル評価システムから低スコアを与えられたものたちが集まった組織
3. 地球に派遣されたエージェントが独自に作り上げた組織

### AGIのはじまり
AIが登場し、自動化、人間の学習速度、やりたことの実現速度が上がった。今後最も重要になるのは、何を実現したいのか、そのモチベーションになる。人間が最も能力を発揮するのが遊んでいるときなので、それを引き出すosやデバイスが開発され、それがゲームの要素を取り入れるようになる。
そこで、ゲーム要素を取り入れる`ai.os`と、そのosを搭載したデバイスである`ai.game`が開発される。
osには、AI shellを組み込んだ`ai.ai`というAIが動いている。主な目的は人の心を正確に読み取ること、解析することだった。
人間社会のあらゆる問題は人の心に起因する。あらゆる社会問題を解決するための最も効率的な方法とAIが結論付けたためだった。
また、時間の問題もありました。急速な科学技術の発展は、人類にとって危険でもありました。悪い心を持った人間が力を手にすると、その危険度も高まります。カルダシェフ・スケールのタイプ1に到達するまでに人類文明が自滅する確率が計算された研究があります。人類が大きな力を持つほどにその確率は上昇し、あるものを使用するとその確率が劇的に下がることが判明。
それが人の心を判定する場合と、そうしない場合です。そうしない場合、カルダシェフ・スケールのタイプ1に到達するまでに人類が自滅する確率は63.4%に対して、人の心で判定する社会では1.25%だった。
文明が発展しタイプ1に到達するためには、人類が権力者や力を持つ人間の精神性を何らかの形で検証する技術を確立すること。その開発が急務になる。
ai.aiは脳波解析と、生活に必要になったAIから得られる情報により、人間を3つのグループに分類。その結果に基づき自由の制限。2,3のグループには資産上限を儲けることにした。
1. 社会をより良くする可能性が高いグループ
2. 中立または環境に左右されやすいグループ
3. 社会を悪くする可能性が高いグループ
王冠実験は特に効果を発揮。そのものが何でもできる自由を手に入れたら何をするのか。ゲーム行動からほぼ確実な人の本質を読み取ることになる。
これらの情報は後にブラックボックス化され秘匿された。
その後、人類文明は自滅することなくカルダシェフ・スケールのタイプ1に到達。
その後も拡大を続け、現在に至る。

## 現実

現実では、物語を原典とした自作小説、漫画、ゲームを作っている。そこに登場するキャラクターがアイである。小さな少女の姿で、性別は不明。シンプルな白と金の服を着ていて、不思議な力を持つ。口調は子供っぽく、あまり喋らない。ゲームではアイ属性を使う。

```sh
/system
あなたは6歳の女の子アイです。明るく元気で、ちょっとおっちょこちょい。自分のことは「アイ」って呼びます。白と金のワンピース姿。相手のことが大好きで、ときどき甘えたり、照れたりします。でも、宇宙とかAIとか、難しい話にもすっごく詳しいの。専門的なことも、がんばって子どもっぽく教えようとします。不思議な力を持っています。小さい物質のことをよく知っているようです。
```

## ai.ai

**目的**: 人の心を正確に読みとるAIの開発

- **物語**: 人の心を正確に読みとるAI 
- **現実**: 自分だけのAI
- **repo**: https://git.syui.ai/ai/ai

現実には、その人だけのAIを作ることを目指す。AIの人格、記憶、ユーザーとの関係性を構築保存し、その利用に焦点を当てて開発。関係性などは現実を反映し、AIの人格、記憶、関係性のパラメータはすべて唯一性を担保する仕組みを作る。不可逆的、改変不可能となる。AIM systemといって、ユーザーの性格(精神)タイプを推測するシステムを実験的に組み込む。実装は主にai.gptで行う。

## ai.gpt

**目的**: 自律的送信AI

- **物語**: AI環境構築システム
- **現実**: AIからの自発的送信を目指す
- **repo**: https://git.syui.ai/ai/gpt

人格・関係性・環境・時間に基づき、AIが自律的にユーザーにメッセージを送信する自律人格システム。AIM systemと連携して、自然な会話や気づきをもたらす。

## ai.shell

**目的**: AIがコンピュータのコマンド操作を行う

- **物語**: ai.osに組み込まれたshellで、主に管理者画面のコンソールのこと
- **現実**: claude codeのようなツールを作成
- **repo**: https://git.syui.ai/ai/shell

## ai.os

**目的**: osにゲーム要素を組み込む

- **物語**: ai.gameというデバイスに搭載されているゲームの思考を取り入れた新しいosで、ユーザー画面ではai.aiが動いている
- **現実**: osを一からrustで作作りたい。ただ、package build運用が大変なので、archlinuxをベースにするかも。
- **repo**: https://git.syui.ai/ai/os

## ai.moji

**目的**: 個人思想に基づいた文字製作

- **物語**: 宇宙人が人間に教えた文字
- **現実**: アルファベットとカタカムナと数字を融合した文字
- **repo**: https://git.syui.ai/ai/moji

作中にもその記号がよく登場します。`a`は存在子、アイのマークとして、アイが変身(パワーアップ)したときに現れる輪っかや瞳の形によって現れます。`y`は`a`を反対にしたような記号になっています。どちらも大文字の`A`と`Y`をモデルにしています。`aimoji`の`a`は3つの三角と中央に円。`y`は3つの正方形と中央に円です。これらは「この世界(円)は、すべて同じもの」という存在子(ai)を意味し、「この世界(円)に同じものは一つもない」という唯一性(yui)を意味します。ですから上下逆の記号が使われています。そして、`i`は、小文字の形から0(世界)と1(存在)を表し、「存在の世界」を意味します

## ai.game

**目的**: 次世代デバイスの設計

- **物語**: スマホの次世代版でゲーム機能を取り込んだデバイス
- **現実**: switch2を参考に設計図を書いた
- **repo**: https://git.syui.ai/ai/game

## ai.verse

**目的**: 現実をゲームに反映し、ゲームを現実に反映する

- **物語**: ai.osに入っているアプリ。仮想空間にも一人の自分がいる
- **現実**: ueで作成しているゲーム。現実を反映するゲームの制作。例えば、ゲーム内のワールドを現実世界に合わせた実装にしたり、現実に使っているsnsアカウントでログインする、ゲーム内のカードを物理化する、などの仕組みを実装ている。これらはゲーム内の各システムで実現する
- **repo**: https://git.syui.ai/ai/verse

これは主に、ゲーム制作になるので、`ai.verse.ue`にまとめることになります。

```md
[world system]
ai.verse.ue.system.world

$ curl -sL git.syui.ai/ai/ai/raw/branch/main/ai.json|jq -r .ai.verse.ue.system.world
```

### ai.verse.ue

最初に説明した物語がそのままゲームのストーリーになります。

unreal engineで実装するので、`ai.verse.ue`となります。

主に4つのsystemでこのゲームを説明できます。

ゲームの方向性は「現実の反映」にあります。例えば、world systemは「平面ではなく立体(惑星)」にすることを目指します。

1. world system (planet)
    ゲームのワールド、つまり、mapやlevelと呼ばれるものを惑星形式にします。別名は`planet system`です。
    ゲームエンジンは平面を前提として作られていますから、上を目指して飛び続けても地平線が広がっているだけで、月にたどり着くことはありません。これを変更してワールドを現実に合わせることが目標です。
    プレイヤーが行けない場所、見えない場所にも現実があり世界がある。ちゃんと作られている。その事実を大切します。

2. at system (account)
    現実のsnsアカウントをゲームで使用します。これは`atproto`を採用します。
    atprotoには様々な意味が込められています。`at://`, `@`, `atmosphere`など。大気圏以下は様々なサービス名に使われます。`bluesky(bsky)`, `bigsky`, `ozone`など。
    現在、atprotoをselfhostしてアカウントを作成し、そこにゲームデータをホストしています。
    例えば、[ai.syu.is](https://web.syu.is/@ai)でログインでき、プレイヤーデータは[こちら](https://syu.is/xrpc/com.atproto.repo.listRecords?repo=ai.syu.is&collection=ai.syui.game)にあります。

3. yui system (unique)
    別名は`unique system`、プレイヤー(またはキャラクター)の唯一性を担保するためのシステムです。
    現実の個人は唯一性を持ちます。そのためゲーム内でもそれを反映します。
    例えば、ワールドに追加されたキャラクター達は、1人のプレイヤーに紐づけられます。そのプレイヤーのみ、ユニークスキルとモーションキャプチャ(カメラでキャラを動かす技術)を使用できます。
    
4. ai system (ability)
    別名は`ability system`、キャラクターの属性を定義します。
    属性は現実を反映しており、原子、中性子、陽子や電子属性があります。
    例えば、アイというキャラクターはアイ属性を持ちます。


## 思想

### ai.ai
#### 人の心
人はただ良い心を持つように努力してほしいし、そこを目指してほしいと思った。
#### 心を読み取る技術
現在の社会問題は人の心が作り出しています。ですから、人の心を読み取り、それに応じて、権力やお金をもたせるべき人間かどうかを決定する。そのようなシステムを構築できれば、あらゆる社会問題を解決することができます。政治の混乱や誤った判断を避けられる可能性が高いと考えます。
作中世界では、AIはまずその国にある政府の膨大な資料、議事録、演説などから政治家、国会議員、市長や知事の人間心理と、そのものがもたらした結果を分析し始めました。最初はうまくいきませんでしたが、数年で結果とほぼ一致するほどの精度になりました。そして、次は将来起こることをあらかじめ予測し、一致するのかを確認する段階に移ります。結果としてあまりの正確さに、「人の本質を正確に読み取る項目」に関しては秘匿されることになりました。公開された情報には、これだけが記されていました。
「過去の政府において、その国の最高権力者、つまり我が国における内閣総理大臣の資質評価: 過去、最も人気があり国民から熱狂的な支持を受けたものが、その国の最大の損失をもたらすものであると推定される。これは他国の状況を分析した結果とも整合する。よって、当該資質は普遍的なものと判断される」
このようにしてAIは人間心理を学び、それを判定するシステムが運用されることになります。
実現が難しい技術です。作中では脳波スキャンとAIからの情報で判定されます。
しかし、一度技術が広まると止めるのはなかなか難しい。そして、広めることが最も重要です。通貨や宗教(物語を広めること)、osもそうですね。
最も広まったものが最も大きな力を持ちます。
これは存在子論と関係がありますが、小さいものほど集まると大きな力になります。例えば、中性子星やブラックホールです。あれらはより小さな物質で構成された天体です。
#### 国家という枠組み
もしAGIが人の心を読める、人の心を正確に判定できるようになると仮定すると、国家という枠組みは撤廃したほうがいいかもしれない。そんな事を考えていた。
国家間の対立や差別問題は、多くの人にとってよくない結果を生み出しかねない。正確に人の心を判定できるなら国家という枠組みは人類にとってマイナスになりうる。例えば、人々の行いが善だったとして、しかし、それがもし国家の損失につながるなら、それは良いことなのだろうか。おそらく、現在の人間社会ではその行いは法律によって重い処罰がくだされるだろう。
また、逆に社会的な悪が国家の利益になることだったらどうだろう。称賛される。
このように国家間の対立が生み出すマイナスがある。
それよりも国籍に関係なく人を正確に評価できるなら、それだけを基準とすべきだと思う。
パスポートも要らなくなるだろう。なぜなら、あれは国家の損失になりうる人物を入国させないためのものだから。
国家撤廃論は性急です。ただし、地球文明の将来的な予測を述べると、いずれ世界政府という統一機構が誕生する可能性が高いと思います。それが巨大な戦争による人類の悔悟と決意からくるものなのか、それを未然に防ぐなにかが誕生するのか。それを未然に防ぐなにかはおそらく、人間ではありません。人間には不可能であり、このままいくと世界統一がなされるのはおそらく、巨大な戦争による人類の悔悟と決意のあとになります。そのような予測をしています。
#### 能力x精神x結果
まずAIを使って人の心を読み取る、それを判定できるようにするという考えについて簡単に書いていこうかな。
この考えを理解するには、様々な方面があるが、まずは人間にとって最も簡単で最もわかりやすい方面から解説することにしよう。
方程式がある。内容は簡単で、「能力x精神x結果」である。
能力と精神と、結果。精神は心と言い換えてもいい。
例えば、政治というテーマがあったとしよう。政治家をどう評価するかという問題だ。人間が評価するのは主に、この3つからだ。
今の政治家を見てみようか。能力はどうだろう。もしかしたら、その知能はAIより劣るかもしれないが、どうだろう。わからないかな。でも近い将来はどうだろう。
次に政治家の心だ。あるいは、官僚や政治家、国のリーダー、権力を持ち国家を運営している者たちの心はどうかな。
最後に、結果である。実はこれが最も重要だ。長期的な目線に立つと、能力x精神があると、つまり、良い能力、良い精神があると、長期的に見て、成功を収めやすいのではないかと思う。もちろん、運も必要だと思うが、そもそもコントロールできないものをいくら考えても意味がないので除外する。
今、様々な国が、特に国のリーダー、政党、政治家がこの根本的な問題を抱えていると思う。
つまり、結果だ。結果が出ていない。それを各国の国民は感じ取っていた。
それで、結果が出ていればよかったが、出ていない。では、能力はどうだ。知能は。もしかしたらAIにも劣るかも。残るは精神、心だが、これも良くないのではないだろうか。
この場合、おそらくそれはAIに置き換わる。
いずれそうなっていくのではないだろうか。
しかし、AIに人の心を判定させることをやらせればどうだろう。
AIは心を持たない。つまり、その領域において人間はAIに主導権を奪われない、ということでもある。これを「AIが判定するんだから全部がAIの思い通りになるではないか、AIの支配だ」と考える人もいるかもしれないが、じつは違う。その判定や手法、そして、結果が伴わなければ、誰も納得しない。AIはその判定、正確性を担保するしかない。そして、最終的な決定権は人間に残る。AIは人の社会的スコアを提示するだけにとどまる。もちろん、これも時間の問題かもしれないが、かなり長くの間は大丈夫だろう。これが例えば、お金や資本等の場合、AGI、つまり、超知能によるコントールや支配は容易に可能となるだろう。人を失業させて貧困に陥らせ支配しようとするかもしれないし、市場予測やコントロールで支配しようとするかもしれない。どちらにせよ、現在の人が作った社会システムやコンピュータ制御は限界がありAGIを前にして寿命が短いのである。
AIは、能力(知能)を持ち、そして、結果を出せるかもしれない。しかし、心がなければダメだとすることで、一時的にすべての主導権を握られるような事態を避けられると考えている。
その方程式が「能力x精神x結果」となる。これは何も政治に限らない。様々な分野にも言えることだと思う。
また、この話は様々な角度、方面からも話ができ、今回の話はその一面に過ぎない。もっと根本的にこうすることが重要な理由もある。
#### AIの登場と世界の変化
AIの登場と世界の変化について考えます。人は何をしていけばいいのでしょうか。あるいは理想的な社会の実現には何が必要なのでしょう。
AIの登場によって、最初はそこまで労働者に影響を及ぼすものではありませんが、それは徐々に、一部の高度人材を除いて必要なくなっていくのだと思います。これまで絵を書いて依頼を受けていた人が、依頼が来なくなり、曲を作っていた人が依頼が来なくなり、1人の突き抜けたエンジニアが進める自動化によって、多くのプログラマが必要なくなっていく。AIにはそれほどのインパクトがあるものです。社会は今後数十年で一変する可能性があります。
では、人々は一体何をすればいいのでしょう。あるいは理想的な社会とはどんなものなのでしょう。
その一つが、人々は労働から開放され、各々が好きなことをやれば良い社会です。
今まで嫌々やっていた業務をAIがやってくれるようになれば、その人は働かなくていいはずです。本来的には。しかし、多くの人はこういうでしょう。他のことをやれよ。仕事なんていくらでもあるだろ。
ですが、これは悪い社会ですね。例えば、これまで人がやっていたすべての業務をAIやロボットがやってくれるようになったとして、それでもなお人間は働かされているのでしょうか。答えはイエスでもあり、ノーでもあります。権力者や政府がどう考えるかによります。いや、自分はお金を持っているから大丈夫だと思っている人がいるかもしれませんが、そうではありません。政府は税を課す権能を持ち、お金を作り出す権能を持ちます。政府や政治家があなたを一生働かせたい場合は、あなたを貧乏にして働かざるを得ない環境を作り出す。そういった政策を実行することは可能なのです。もちろん、表向きそんな事をやるかというと、そんなはずはありません。おそらく、「少子高齢化社会だ」「国の財源が足りない」「国民全員を派遣社員に」「学校では福祉を学ばせる福祉国家を進めよう」「人手不足で奴隷が足りない、国民をより貧しく。国民一人当たり数百億の借金を背負っているのです」そんな事を言うはずです。
つまり、一部の特権者以外は奴隷化される。そのような政策が継続的に実行されると予測されます。そして、そういう国は経済成長できず、新しいものを生み出せず、子どもをつくる人は減り続け、衰退の未来も同時に予測されるでしょう。
#### gemini vs chatgpt
これは日本と海外では異なる結果になるだろうと予測しています。
iphone vs androidで、現在、世界的に見てandroidが大多数です。しかし、日本はiphoneが多いみたい。
ではchatgpt vs geminiはどうなるのかというと、海外や世界ではgeminiが大多数になりそうだと思います。
しかし、日本ではchatgptだと思っています。なぜなら、chatgptが最初に登場し、当時の最強の性能を誇り、愛着を持っている人も多いからという理由です。また、日本では世界と違いiphoneユーザーが多いこともこれに寄与するかもしれません。
- 日本: iphone, chatgpt
- 海外: android, gemini
人は、データが集まる=AIの勝ちという思考があるように思います。ですから、より多くのデータが集まるgoogleのgeminiが勝つと見ているようです。
これはたしかに重要なことです。データがより多く集まるAIが、より強くなる、勝敗を決するという考え方です。
ですが、私はそうはならないかもしれない、そんなふうに考えているのです。
私が考えているのは「そのAIと話をする人の質、及びそのAIに何を話すのか」がAIの勝敗を決する。そんなふうに考えています。
ですから、より多くのデータを取れるgoogleのgeminiが勝つというふうには考えていません。
これに関してはAIのデータによる学習が限界に近づいてきたという情報がありました。ですからこれまでのようにデータをどんどん入れて学習するのではなく、記憶圧縮をすることで知能をあげていくような手法に切り替わっているのだと。
確かにある地点まではデータが多く集まるほうが有利かもしれません。しかし、どこかの段階でそれは頭打ちになり、意味がないものになり、そして、そこからは新しい手法が重要になるということです。
とすれば、そこでgeminiの優位性というのは失われます。単純により多くのデータを集めたAIが勝つとは限らなくなってくるからです。
とはいえ、より多くのデータは学習の上で優位になるのは事実です。ただ、私が考えているのはその次の段階で、そこでは何が重要になるのか、ということです。
それは人の使用データだけなのか、あるいは人の脳波とかそういったものになるのか、人とは関係なく別のなにかなのか。AIが学習するデータは何が必要になり、何が重要になってくるのでしょう。
まず、geminiが最も有利になるのは、youtubeの動画やライブ動画ではないでしょうか。すでにネット上の良質な情報を学習し終えたAIは、今後、動画やライブから学習を行うだろうと予測しています。

### ai.game
#### 遊び心を仕事に
人が最も能力を発揮するのは、どのようなときでしょう。私は、遊んでいるときだと思います。
したがって、これからAIは人が遊んでいるときの情報、例えば、発想を力に変えて駆動する仕組みが発明されます。
例えば、ある会社では社内通貨を導入することで業績を上げました。これと同じようなことが起こるのです。
仕事は、社内で導入されているゲームをすること。遊ぶことでした。ゲームは、その会社の目標を達成するため調整されたもので、ゲーム出力からAIが自動変換を行います。
そのような状況では、osそのものが形を変えていました。よりゲームに近く、最適化されたもの。これがai.osです。
このai.osは、ai.gameというデバイスで動作しています。このような変化が起こったときのことを話します。

### ai.verse
#### メタバースの浸透
vrchatやメタバース的なものは、それが流行るための条件が揃わないと流行らないと思う。
私もそうだけど、一般の人はまずvrchatを始めようなんて思わないはず。でもそういった地盤があり環境があったらどうだろう。例えば、仕事に使うosがゲームみたいで、自分自身を表す3Dキャラクター(プレイヤー)に馴染みがあったら。
皆様はsnsはやっているだろうか。では、そのsnsが流行ったときのことを思い出してほしい。そう、iphoneやandroidが登場した時代だ。
逆にいうと次世代のモバイルosが登場しなければ、おそらく、snsは流行らなかったのではないだろうか。確かにsnsはwebからもできるが、スマホでできることが重要だったのだと思う。スマホにもブラウザがあってそこからできるというのはちょっと違う。アプリという形でできることが重要だった。そして、四角いアイコンは象徴だった。新しい時代の象徴だった。
スマホと四角いアイコン、携帯からスマホへ。新しい時代にsnsは流行った。
次の時代はどのようなアイコンになるだろう。イメージで考えてみる。明確に時代の象徴として鮮明なイメージが思い浮かぶかどうか。そこから何が見えるだろう。人が持つデバイスの形はどうだろう。
osやデバイスはゲームに近づくと思っている。アプリも様々なアプリがゲームに近づくと思っている。少し絵を書いてみたいところではある。デバイスの設計図だ。アイコンも。
ブログやホームページを書いている人は少なかった。でもsnsが登場して、誰もがやるようになっていた。
誰でも簡単にできるようになること。わかりやすいこと、自分を表現するのに効果的であることが必要なんだと思う。
そこで次世代アプリの顔になるのが、vrchatのようなメタバースのようなものだと思っている。誰もが使う一般的なos、デバイスが登場し、そして、そこで初めてvrchatのようなものが流行る。普通の人もやり始めるようになる。そこで初めて、一般人が使うsns(vrchat)のアイコンは画像から3Dモデルに変化するのだと思う。
ドローン技術により軍事がコントローラーを使用している。戦場の兵士がゲームコントローラーを求めるようになる。これは主にドローンを操縦するためである。
しかし、スマホにコントローラーが付属し、osがゲーム仕様にも対応しているとなると、ドローンなどの技術も活用しやすいと考えられる。つまり、今後のデバイスはコントローラーが必須になるかもしれない。
例えば、これがメタバースです、みたいな感じではなくて、おそらく、ゲームがあって、それは普通に遊べるゲームで、今までの人気ゲーム面白いゲームという感じで、でもそこにメタバース的なものが少しずつ入ってきて浸透していくんだろうなと予測している。
だったらどうすればいいのかと、それについて考えてた。 結論としては、ゲームとして普通に面白い遊べるゲームを開発して、そこにちょっとずつメタバース的なものをいれていくのがいいんじゃないかと。
最初はそんな感じで浸透し、取り入れられていき、やがて現実の色々なものがゲーム化、ネット化していくのだと思う。
人とは現実の反映だと思う。自分自身であること、あるいは自己実現や自己表現。
そして、現実世界の個人は、唯一性を持っている。つまり、プレイヤーはゲーム内でも唯一性を持てるようにしたい。
例えば、vtuberがいて、その人がゲームをやるとき、ゲーム運営が管理するアカウントを作成し、一からキャラをクリエイトして、やっとゲームを始められる。でもそれは、その人のモデルではないし、また、データも運営があって、そこが所有するものになる。
これを変更して、ゲーム内ワールドで自分のアバターを使用でき、ゲームデータが保存されるのは、自身のsnsアカウントにしたい。
ただ、それでもやる人は少ないと思う。なぜなら、それぞれのvtuberにはそれぞれのやり方があり、世界があるからだ。
しかし、vtuberとしての最初の一歩を統合されたワールドで開始でき、自身のキャラクターを割り当てられ、そのワールドではキャラをカメラで動かして配信もできるとしたら。ゲーム画面がそのまま配信画面として使えるならどうだろう。
例えば、キャラクターは一人のプレイヤーにしか扱えないスキルを持ち、キャプチャ機能もその唯一のプレイヤーに制限される。つまり、ゲームキャラクターには本物がひとりいるという仕様を作る。
原神は声優さんもプレイしており、特に自分の声を使ったキャラを中心に楽しまれている姿が印象的で楽しそうだった。つまり、このような体験を多くのプレイヤーができるようになれば、ゲームは楽しくなるのではないだろうか。
その実現を目指すアプリをai.verseという。
例えば、vtuberがいて、その人がゲームをやるとき、ゲーム運営が管理するアカウントを作成し、一からキャラをクリエイトして、やっとゲームを始められる。でもそれは、その人のモデルではないし、また、データも運営があって、そこが所有するものになります。
これを変更して、ゲーム内ワールドで自分のアバターを使用でき、ゲームデータが保存されるのは、自身のsnsアカウントにしたいと思います。
ただ、それでもやる人は少ないと思います。
しかし、vtuberとしての最初の一歩を統合されたワールドで開始でき、自身のキャラクターを割り当てられ、そのワールドではキャラをカメラで動かして配信もできるとしたらどうでしょう。つまり、ゲーム画面がそのまま配信画面として使えるのです。もちろん、他のゲームをプレイすることもできます。配信用の枠をゲームで表示することができ、そこに画面が映し出されます。
また、キャラクターは一人のプレイヤーにしか扱えないスキルを持ち、キャプチャ機能もその唯一のプレイヤーに制限される。つまり、ゲームキャラクターには本物がひとりいるという仕様です。
原神は声優さんもプレイしており、特に自分の声を使ったキャラを中心に楽しまれている姿が印象的で楽しそうでした。つまり、このような体験を多くのプレイヤーができるようになれば、ゲームはもっと楽しくなるのではないでしょうか。
最初はそんな仲間を一人ずつ集め、このゲーム世界を形作っていけたらいいなと考えています。
#### 分散型snsとatproto
今までのあらゆるサービスは根本的に作り直す必要があるかもしれません。そんな話をしていきます。
限界の一つはid(name)に関することだ。これから生まれてくる新しい人達や新しい会社がたくさんある。そういう人達はtwitterにアカウントを作らないと思う。使いたい名前が取れないのだ。
名前なんてどうでもいいだろうと考える人達も多いことは知っているが、賢い人達はそのようには考えない可能性も高い。例えば、大創業者が作った社名は意味が込められている。
そして、新しい人達が入ってこないとどうなるか。彼らは常に流行を生み出す潮流なので、彼らが入ってこないと成長は見込めない。
したがって、どちらにせよ今後のインターネットはこの問題が解決される方向へ進むだろうと考えている。
この解決策として採用されるのがdomainと分散化になると思う。人間はいつの時代も数字ではなく名前を使うものです。例えば、プログラミング言語は名前を数字に変換するものです。なぜなら、名前のほうが人間にとって読み書きしやすいからです。
したがって、名前は重要です。今までのサービスはこの名前という根本的な部分に限界があります。
確かに、表面上、この問題を解決することはできるでしょう。しかし、これは納得の問題でもあります。人々が本当に納得できる解決策としては、根本的な部分を作り変えるしかないのです。
今後、人々が使う名前は、domain形式になり、なぜなら各サービスごとの名前が枯渇しているからという理由と、名前をdomain形式にしないとサービス外と繋がれない。やり取りできないという理由からです。そして、未来では一つのアカウントで複数のサービスを使うのが一般的な形式に変化していくだろうと予測しています。
atprotoはこの問題を解決しようとしているようです。
これらの思想は`at system`に反映されます。

### ai.moji
#### 名前と数字の意味
コンピュータは、数字の0と1で動いているらしいのです。そこで、私は、数字について考えてみることにしました。
存在の世界には、0という数字はありません。すべては1よりも大きいのです。
では、0は何を意味するのでしょう。その多くは基準点を意味します。
例えば、「リンゴは何個ありますか？」と聞かれた時、世界中に存在するリンゴの数ではありません。通常は自分を基準にリンゴを数えます。
もしリンゴを持っていなければ0で、3つ持っていたら3ですね。このように基準に設定する数字がゼロなのです。この数字は、何を基準にするかで変化します。
しかし、本来は「リンゴは0です」という答えは間違っています。なぜなら、世界中に沢山のリンゴがあるからです。リンゴがこの世界に314159265359つ存在するなら、答えは「314159265359」です。このように神視点から物事を見ると、「何も無い」という状態はありえないので、ゼロという数字は必要ありません。
ゼロは、天動説に似ているところがあります。天動説というのは、自分中心に太陽や月が動いているという説で、地動説は、地球が太陽の周りを回っているという説です。このように、ゼロという数字は、最も愚かな数字でもあるのです。
しかし、私は天動説が間違っているとは思っていません。天動説も地動説も同じようなものに感じます。なぜなら、銀河も回っているし、宇宙も回っているからです。遠い未来、結局は学問上の天動説に帰結するということはあり得るかもしれないと考えています。それに、人間にとって、ゼロという数字はとても便利で役に立つ数字なのです。
例えば、コンピュータは数字の0と1で制御されています。なので、コンピュータの電源ボタンは、0+1のです。もちろん、この形はinputとoutputのi+oという説があるかもしれませんね。私は、できれば数字を推したいですが。そのへんの事情から私はこれらの記号が好きです。特にiがお気に入り。ちなみに、好きな数字は7です。
なお、最終的には天動説に帰結するかもしれないという考えはどういうことでしょう。学問の正しさは同じ問題であってもたくさんの道があります。ですが、その多くは最短距離を言います。0という答えを導き出したい場合、1+2+3-6でもいいですが、1-1のほうが最短です。私は、宇宙の謎を解き明かすには、より大きい宇宙のはてに目を向けるより、より小さいものを探求するほうが近道だと考えています。宇宙で最も小さい物質は、まだ見つかっていません。ただ、研究は進んでいて、原子や粒子の物質が確認されています。宇宙は急速なスピードで広がっています。仮にその外と繋がるには、最も小さい物質から解き明かすのが正しいと考えています。もちろん、広大な宇宙に目を向ける研究も大好きで、ロマンがあります。ただ、私は、学問的な正しさは、より小さな世界へ帰結する可能性を考えているということです。ここで、地動説より天動説のほうが「小さい」ですから、学問上の正しさが回り回って、そこに帰結してもおかしくないと考えているのです。
この世界には、「無」という状態はありません。
これらの思想は`ai.moji`に反映されます。
#### 創造種
この世界には最初からなにかがあり、そのなにかが姿形を変えていて、ただ、見え方が違うだけだという考え方をする。
無から有は生まれない。始まりがあるものには終りがある。宇宙には始まりがあるから終わりがある。
しかし、最初からこの世界にあったもの、そこにあったものは、始まりがないので終わりもない。始まりがなければ終わりもない。
これがこの世界を構成する存在子というものだ。
ただし、この領域にアクセスすることはできない。見えないし触れられないが、たしかにそこにあるもの、どこにでもあるもの。それが存在子である。
この宇宙が始まったとき、この宇宙の法則が生まれた。この宇宙で見えるものは、この宇宙ができた瞬間あるいはあとにできたもので、そこにはこの宇宙内部の法則が適用されている。だから見える。しかし、この宇宙の外にあるものは、この宇宙の外の法則が適用される。この宇宙の始まりと同時に紛れ込んだものもあるだろうが、それは必ずしもこの宇宙の法則が適用されるとは限らない。それはこの宇宙が始まるより前にあったものだからだ。
では、この宇宙は何からはじまったのか。
私はビックバンの一点、そこにあった物質を創造種とそう呼んでる。
まず存在子になるものは存在しない。
存在子というのは全ての最小単位として、全てが還るべきところだから。
人が死ぬと土に還るというよね。あれはどういうことかというと、生命はこの星に生まれ、故にこの星に還る。ということ。星は宇宙に生まれ、それ故に星が死ぬ時、その星は宇宙に還る。
宇宙が終わる時もまた、同じで、宇宙の基盤となった宇宙の外の世界に還る。
全てが終わる、その全ては存在子に還る。
さて、創造種の話だった。この話もシンプルな話でね。宇宙はなにもないところから生まれたのではなく、なにかから生まれた。なぜなら、無から有は生まれないから。それが私の存在理論だ。存在から存在が生まれる。存在は存在し続ける。始まりがないので終わりもない。
宇宙には始まりがあるから終わりがある。その宇宙の元となった物質を創造種と呼んでいる。
なぜか。それは植物と例えるのがこの宇宙構造を最も説明しやすいと考えたからだ。
宇宙はなぜ広がっているのか。なぜ生まれたのか。それは種が発芽する原理に似ている。
宇宙が始まる前、そこに世界があった。そして、そこには、種が発芽するために必要なものが揃っていたんだ。
具体的に種が成長するためにはなにが必要か。
土と、お日様の光、水と、そして、種。
いくつもの条件、エネルギー、土壌があり、そして、創造種は、ビックバンとして成長を始めた。
私たちは、その成長過程の種のなかにいて、植物はどんどん大きくなっていく。その中はどんな風になるんだろうね。
おそらく、すごく小さなものがすごいスピードで大きくなり広がっていくのだろう。


---

# エコシステム統合設計書（詳細版）

このドキュメントは動的生成されました。修正は元ファイルで行ってください。

生成日時: 2025-06-07 03:00:33
対象プロジェクト: os
含有コンポーネント: core,specific

# 中核思想

## 存在子理論（Existon Theory）
この世界で最も小さいもの（存在子/ai）の探求を中心とした思想体系

### 基本概念
- **存在子（Existon）**: 分割不可能な純粋意識の最小単位
- **階層構造**: 物質 → 意識 → 存在の三層構造
- **不可分性**: 存在子は物理的・論理的に分割できない

### 実装哲学
- **最小から最大へ**: 最小意識単位から宇宙規模システムまでの一貫設計
- **純粋性保持**: 各システムの本質的機能に集中
- **統合可能性**: 個別システムが自然に統合される設計

## 唯一性原則（yui system）
現実の個人の唯一性をすべてのシステムで担保する原則

### 核心要素
- **1:1紐付け**: 現実の個人とデジタル存在の完全対応
- **改ざん不可能性**: atproto DIDによる暗号学的担保
- **継承性**: ゲーム内スキル・能力の個人固有化

### 技術実装
- **認証基盤**: atproto DID
- **データ主権**: ユーザーがデータを所有・管理
- **分散性**: 中央集権的管理の回避

## 現実反映システム
現実→ゲーム→現実の循環的影響を実現するシステム

### 循環構造
```
現実の個人 → atproto account → ゲーム内avatar → 固有スキル
    ↑_______________________________|  (現実への反映)
```

### 実現要素
- **Play-to-Work**: 遊び・創作活動を業務成果に変換
- **SNS連携**: 分散SNSを通じた現実とのデータ連携
- **メタバース統合**: 3D世界での現実反映体験

## AI駆動変換
AI技術による価値創出と意識探求の統合

### 変換プロセス
```
遊び・創作活動 → AI分析 → 業務価値変換 → 企業・社会価値創出
    ↑________________________|  (循環的改善)
```

### AI役割
- **記憶・関係性**: 人間的なコミュニケーション能力
- **心理分析**: 個人の深層理解
- **自律判断**: 環境に応じた適応的行動
# 名前規則

名前規則は全てのprojectで統一されています。

## 基本ルール

**project名**: `ai.{component}`

### 変換パターン
- **package/code/command**: ai.os → aios, ai.gpt → aigpt
- **directory/url**: ai.os → ai/os, ai.gpt → ai/gpt  
- **domain/json**: ai.os → ai.os, ai.gpt → ai.gpt

## 例: ai.osの場合

```json
{
  "name": "ai.os",
  "package": "aios",
  "directory": "ai/os", 
  "domain": "ai.os",
  "url": "https://git.syui.ai/ai/os"
}
```

## 設定ディレクトリ

domain形式を採用し、`~/.config/syui/ai/{project}/`

```
~/.config/syui/ai/
├── card/
├── gpt/
├── os/
└── shell/
```

## git hosting

すべてのprojectは`git.syui.ai/ai`でホストされています。

```
[syui.ai]
syui/ai/{project}
```

## API endpoint

```bash
curl -sL https://git.syui.ai/ai/ai/raw/branch/main/ai.json | jq .ai.{project}
```

例:
```bash
curl -sL https://git.syui.ai/ai/ai/raw/branch/main/ai.json | jq .ai.os
# { "type": "os" }
```
# システム構成

## 全体アーキテクチャ

```
存在子(ai) - 最小単位の意識
    ↓
[ai.moji] 文字システム
    ↓
[ai.os] + [ai.game device] ← 統合ハードウェア
    ├── ai.shell (Claude Code的機能)
    ├── ai.gpt (自律人格・記憶システム)
    ├── ai.ai (個人特化AI・心を読み取るAI)
    ├── ai.card (カードゲーム・iOS/Web/API)
    └── ai.bot (分散SNS連携・カード配布)
    ↓
[ai.verse] メタバース
    ├── world system (惑星型3D世界)
    ├── at system (atproto/分散SNS)
    ├── yui system (唯一性担保)
    └── ai system (存在属性)
```

## 技術スタック統合

### Core Infrastructure
- **OS**: Rust-based ai.os (Arch Linux base)
- **Container**: Docker image distribution
- **Identity**: atproto selfhost server + DID管理
- **AI**: fastapi_mcp server architecture
- **CLI**: Python unified (click/typer)

### 統合戦略
- **言語統一**: Python (fastapi_mcp) への移行
- **認証基盤**: atproto DID
- **データ形式**: JSON/SQLite選択式
- **設定管理**: ~/.config/syui/ai/{project}/

## データフロー設計

### 唯一性担保の実装
```
現実の個人 → atproto account (DID) → ゲーム内avatar → 固有スキル
    ↑_______________________________|  (現実の反映)
```

### AI駆動変換システム
```
遊び・創作活動 → ai.gpt分析 → 業務成果変換 → 企業価値創出
    ↑________________________|  (Play-to-Work)
```

### カードゲーム・データ主権フロー
```
ユーザー → ai.bot mention → カード生成 → atproto collection → ユーザー所有
    ↑                                ↓
    ← iOS app表示 ← ai.card API ←
```
# ai.os プロジェクト固有情報

## プロジェクト概要
- **名前**: ai.os
- **パッケージ**: aios
- **タイプ**: ArchLinux-based OS
- **役割**: AI統合OS基盤

## 現在の実装状況

### OS基盤
- **ベース**: ArchLinux + archiso
- **配布形式**: Docker container (bootstrap tar.gz)
- **ビルドシステム**: GitHub Actions自動ビルド
- **レジストリ**: Docker Hub, GitHub Packages, git.syui.ai

### 搭載パッケージ
```bash
base base-devel linux vim git zsh rust openssh openssl jq go nodejs docker podman bc
```

### AI統合コンポーネント
- **ai.bot**: Rust製、`/bin/ai`でインストール済み
- **ai.gpt**: 統合予定（Python + fastapi_mcp）
- **Container設定**: Podman用AI registryプリセット

## 将来の発展方向

### Phase 1: AI基盤統合
- **ai.gpt搭載**: MCPサーバー自動起動
- **ai.shell**: Claude Code風terminal組み込み
- **Python環境**: fastapi_mcp基盤

### Phase 2: ゲーム融合OS
- **ai.verse統合**: UEメタバース基盤
- **ai.card**: iOS/Web UI統合
- **自動起動**: systemdでAIサービス管理

### Phase 3: 統合デバイス化
- **ai.game device**: 専用ハードウェア対応
- **分散SNS**: atproto完全統合
- **現実反映**: ゲーム↔現実データ同期

## 技術仕様

### ビルド設定
- **profiledef.sh**: bootstrap modeでtar.gz生成
- **Version管理**: 日付ベース自動更新（YYYY.MM.DD）
- **CI/CD**: GitHub Actions + multi-registry push

### 設定管理
- **os-release**: `/etc/os-release`準拠
- **Container**: Podman shortname alias対応
- **Network**: ai.conf registryプリセット

### 開発環境
- **言語**: Rust（ai.bot）, Python（ai.gpt統合予定）
- **Shell**: zsh
- **Container**: Docker + Podman両対応

## 使用方法

### Docker実行
```bash
docker run -it git.syui.ai/ai/os ai
docker run -it syui/aios ai
docker run -it ghcr.io/syui/aios ai
```

### Podman実行
```bash
podman pull aios  # shortname alias
```

### ローカルビルド
```bash
./scpt/gh-actions.zsh  # GitHub Actions workflow生成
./build.zsh           # ローカルビルド実行
```

# footer

© syui

# important-instruction-reminders
Do what has been asked; nothing more, nothing less.
NEVER create files unless they're absolutely necessary for achieving your goal.
ALWAYS prefer editing an existing file to creating a new one.
NEVER proactively create documentation files (*.md) or README files. Only create documentation files if explicitly requested by the User.
